import React from 'react';
import SvgIcon from '@mui/material/SvgIcon';

export default props => (
  <SvgIcon viewBox="0 0 32 38" {...props}>
    <path d="M16 0.256c-8.672 0-15.744 7.072-15.744 15.744s7.072 15.744 15.744 15.744 15.744-7.072 15.744-15.744-7.072-15.744-15.744-15.744zM16 30.016c-7.744 0-13.984-6.272-13.984-14.016s6.24-14.016 13.984-14.016 14.016 6.272 14.016 14.016-6.272 14.016-14.016 14.016zM19.328 25.984c-0.512 0-1.056-0.384-1.312-0.928l-2.016-4.928-1.984 4.928c-0.288 0.544-0.8 0.928-1.344 0.928-0.128 0-0.416 0-0.544-0.128-0.672-0.256-1.056-1.184-0.8-1.856l2.688-6.4v-2.816l-4.544-0.64c-0.416 0-0.672-0.288-0.928-0.544-0.288-0.256-0.416-0.672-0.288-1.056 0.16-0.672 0.672-1.216 1.472-1.216 0.128 0 0.128 0 0.288 0l5.44 0.8c0 0 0.16-0.128 0.16-0.128v0h0.928l0.128 0.128c0 0 0.128 0 0.128 0l5.472-0.8c0.128 0 0.128 0 0.256 0 0.672 0 1.344 0.544 1.472 1.216 0 0.384 0 0.8-0.256 1.056-0.288 0.256-0.544 0.544-0.928 0.544l-4.544 0.64v2.816l2.656 6.4c0.128 0.384 0.128 0.8 0 1.056-0.128 0.416-0.384 0.672-0.8 0.8-0.384 0.128-0.512 0.128-0.8 0.128zM16 10.4c-1.184 0-2.272-0.928-2.272-2.272s0.928-2.272 2.272-2.272c1.216 0 2.272 0.928 2.272 2.272s-1.056 2.272-2.272 2.272z" />
  </SvgIcon>
);
